package ch.rakudave.jnetmap.view.components;

import java.awt.Dimension;
import java.awt.Frame;
import java.awt.GridLayout;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import ch.rakudave.jnetmap.net.OUI;
import ch.rakudave.jnetmap.util.Lang;
import ch.rakudave.jnetmap.util.SwingHelper;

@SuppressWarnings("serial")
public class OUILookup extends JDialog {

	public OUILookup(final Frame owner) {
		super(owner, Lang.getNoHTML("oui.lookup"), ModalityType.DOCUMENT_MODAL);
		final OUILookup _this = this;
		setPreferredSize(new Dimension(280,140));
		JPanel container = new JPanel(new GridLayout(3, 1, 5, 5));
			container.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
			container.add(new JLabel("<html>"+Lang.getNoHTML("interface.mac")+":</html>"));
		final JTextField oui = new JTextField("");	
			oui.setEditable(false);
		final JTextField mac = new JTextField("");
			mac.addKeyListener(new KeyListener() {
				@Override
				public void keyTyped(KeyEvent e) {}
				@Override
				public void keyReleased(KeyEvent e) {
					oui.setText(OUI.getInstance().lookup(mac.getText()));
				}
				@Override
				public void keyPressed(KeyEvent e) {
					if (e.getKeyCode() == KeyEvent.VK_ESCAPE) _this.dispose();
				}
			});
			container.add(mac);
			container.add(oui);
		add(container);
		pack();
		SwingHelper.centerTo(owner, this);
		setVisible(true);
	}
}
